Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.installer
Class OtdLibInstallerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.stc.hl7.installer.OtdLibInstallerTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class OtdLibInstallerTask

extends org.apache.tools.ant.Task

An ant task that installs the OtdLibraries into repository

Version:
  $Revision: 1.10 $
Author:
  Julie Knight

Field Summary
`protected static java.lang.String` | `RCS_ID` the RCS id

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`OtdLibInstallerTask()` Constructs an empty OtdLibInstallerTask

Method Summary
`org.apache.tools.ant.types.Path` | `createClasspath()` Creates the classpath if not already created
`void` | `execute()` Installs application
`org.apache.tools.ant.types.Path` | `getClasspath()` Getter for classpath
`java.lang.String` | `getPassword()` Getter for Password
`java.lang.String` | `getRepURL()` Getter for Repository URL
`java.lang.String` | `getUserName()` Getter for UserName
`static void` | `main(java.lang.String[] args)` For testing
`void` | `setClasspath(org.apache.tools.ant.types.Path p)` Setter for classpath
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)` Creates the reference id for the classpath
`void` | `setPassword(java.lang.String aPasswd)` Setter for Password
`void` | `setRepURL(java.lang.String aURL)` Setter for Repository URL
`void` | `setUserName(java.lang.String aUserName)` Setter for UserName

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    protected static final java.lang.String RCS_ID

  the RCS id

  See Also:
    Constant Field Values

Constructor Detail

### OtdLibInstallerTask

    public OtdLibInstallerTask()

  Constructs an empty OtdLibInstallerTask

Method Detail

### setRepURL

    public void setRepURL(java.lang.String aURL)

  Setter for Repository URL

  Parameters:
    `aURL` - User's repository URL

### getRepURL

    public java.lang.String getRepURL()

  Getter for Repository URL

  Returns:
    User's repository URL

### setPassword

    public void setPassword(java.lang.String aPasswd)

  Setter for Password

  Parameters:
    `aPasswd` - User's password

### getPassword

    public java.lang.String getPassword()

  Getter for Password

  Returns:
    User's password

### setUserName

    public void setUserName(java.lang.String aUserName)

  Setter for UserName

  Parameters:
    `aUserName` - User login

### getUserName

    public java.lang.String getUserName()

  Getter for UserName

  Returns:
    User login

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path p)

  Setter for classpath

  Parameters:
    `p` - classpath

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

  Getter for classpath

  Returns:
    org.apache.tools.ant.types.Path

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

  Creates the classpath if not already created

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

  Creates the reference id for the classpath

  Parameters:
    `r` - org.apache.tools.ant.types.Reference

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  For testing

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Installs application

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - exception upon error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD